//
//  HumanPlayer.swift
//  
//
//  Created by Adam BONAFOS on 21/01/2025.
//

import Foundation
class HumanPlayer : Player {
    // Propriété CLI de type closure
    var CLI: ((String) -> String)?

    // Initialisation avec la closure CLI
    init(CLI: @escaping (String) -> String) {
        self.CLI = CLI
        super.init()
    }

    override func play() -> (row: Int, column: Int) {
        // Demande la colonne à l'utilisateur
        let columnInput = CLI!("Entrez le numéro de la colonne : ")
        guard let column = Int(columnInput) else {
            fatalError("Entrée invalide pour la colonne.")
        }
        // Demande la ligne à l'utilisateur
        let rowInput = CLI!("Entrez le numéro de la ligne : ")
        guard let row = Int(rowInput) else {
            fatalError("Entrée invalide pour la ligne.")
        }
        return (row, column)
    }
}
